Bug 248434 - Review Request: perl-HTTP-DAV - WebDAV client library for Perl5
Review Request: perl-HTTP-DAV - WebDAV client library for Perl5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-16 15:55 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 16:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-16 15:55:25 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-HTTP-DAV/perl-HTTP-DAV.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-HTTP-DAV-0.31-1.src.rpm
Description:
HTTP::DAV is a Perl API for interacting with and modifying content on
webservers using the WebDAV protocol. Now you can LOCK, DELETE and PUT
files and much more on a DAV-enabled webserver.
Comment 1 Parag AN(पराग) 2007-07-20 01:47:20 EDT
I got tests skipped
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/1_loadme..............ok
t/1_utils...............ok
t/2_options.............ok
        6/6 skipped: no test server
t/3_put_get_delete......ok
        6/6 skipped: no test server
t/4_multistatus.........ok
t/5_propfind............ok
        9/9 skipped: no test server
t/5_proppatch...........ok
        14/14 skipped: no test server
t/6_dav_copy_move.......ok
        14/14 skipped: no test server
t/6_dav_get_callback....ok
        19/19 skipped: no test server
t/6_dav_globs...........ok
        11/11 skipped: no test server
t/6_dav_lock............ok
        13/13 skipped: no test server
t/6_dav_lock2...........ok
        11/11 skipped: no test server
t/6_dav_open_put_get....ok
        39/39 skipped: no test server
t/6_dav_options.........ok
        6/6 skipped: no test server
All tests successful, 148 subtests skipped.
Files=14, Tests=175,  3 wallclock secs ( 2.37 cusr +  0.31 csys =  2.68 CPU)
+ exit 0
Comment 2 Steven Pritchard 2007-07-20 12:49:54 EDT
Those are all network tests that we can't (or at least shouldn't) enable on the
build servers.
Comment 3 Parag AN(पराग) 2007-07-20 22:15:09 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
00f37d225326498756bbdbb93312cac9  HTTP-DAV-0.31.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/1_loadme..............ok
t/1_utils...............ok
t/2_options.............ok
        6/6 skipped: no test server
t/3_put_get_delete......ok
        6/6 skipped: no test server
t/4_multistatus.........ok
t/5_propfind............ok
        9/9 skipped: no test server
t/5_proppatch...........ok
        14/14 skipped: no test server
t/6_dav_copy_move.......ok
        14/14 skipped: no test server
t/6_dav_get_callback....ok
        19/19 skipped: no test server
t/6_dav_globs...........ok
        11/11 skipped: no test server
t/6_dav_lock............ok
        13/13 skipped: no test server
t/6_dav_lock2...........ok
        11/11 skipped: no test server
t/6_dav_open_put_get....ok
        39/39 skipped: no test server
t/6_dav_options.........ok
        6/6 skipped: no test server
All tests successful, 148 subtests skipped.
Files=14, Tests=175,  3 wallclock secs ( 2.37 cusr +  0.31 csys =  2.68 CPU)
+ exit 0
+ Provides: perl(HTTP::DAV) = 0.31 perl(HTTP::DAV::Comms) = 0.21
perl(HTTP::DAV::Headers) perl(HTTP::DAV::Lock) = 0.8 perl(HTTP::DAV::Resource) =
0.29 perl(HTTP::DAV::ResourceList) = 0.10 perl(HTTP::DAV::Response) = 0.13
perl(HTTP::DAV::UserAgent) perl(HTTP::DAV::Utils) = 0.10

+Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8) perl(AutoLoader) perl(Cwd)
perl(Data::Dumper) perl(File::Glob) perl(FileHandle) perl(Getopt::Long)
perl(HTTP::DAV) perl(HTTP::DAV::Comms) perl(HTTP::DAV::Lock)
perl(HTTP::DAV::Resource) perl(HTTP::DAV::ResourceList)
perl(HTTP::DAV::Response) perl(HTTP::DAV::Utils) perl(HTTP::Date)
perl(HTTP::Response) perl(LWP) perl(Pod::Parser) perl(Pod::Usage)
perl(Term::ReadLine) perl(Text::ParseWords) perl(Time::Local) perl(URI)
perl(URI::Escape) perl(URI::file) perl(XML::DOM) perl(strict) perl(vars)

APPROVED.
Comment 4 Steven Pritchard 2007-07-21 12:28:23 EDT
New Package CVS Request
=======================
Package Name: perl-HTTP-DAV
Short Description: WebDAV client library for Perl5
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com

Note You need to log in before you can comment on or make changes to this bug.